package nl.pcactive.bean;

import java.sql.ResultSet;
import java.sql.SQLException;

import javax.servlet.http.HttpServletRequest;

import nl.pcactive.util.Settings;

/**
 * <p>Title: Uw stamboom op het internet</p>
 * <p>Description: STAMBOOM</p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: Pc-Active</p>
 * @author Benny Lootens
 * @version 2.0
 */
public class SessionBean {
	public final static String BEAN = "SessionBean";

	public SessionBean() {
	}

	public SessionBean(HttpServletRequest req) {
		this();
		this.remoteHost = req.getRemoteHost();
		this.remoteIp = req.getRemoteAddr();
		this.remoteUser = req.getRemoteUser();
		this.sessionId = req.getSession().getId();
		this.timeStamp = Settings.getTimeStr();

		setReferer(req.getHeader("referer"));
		setUser_agent(req.getHeader("user-agent"));
		setX_forwarded_for(req.getHeader("x-forwarded-for"));
	}

	private int id;
	private String sessionId;
	private String remoteHost;
	private String remoteIp;
	private String remoteUser;
	private String timeStamp;
	private String referer;
	private String user_agent;
	private String x_forwarded_for;

	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}
	public String getSessionId() {
		return sessionId;
	}

	public void setRemoteHost(String remoteHost) {
		this.remoteHost = remoteHost;
	}
	public String getRemoteHost() {
		return remoteHost;
	}
	public void setRemoteIp(String remoteIp) {
		this.remoteIp = remoteIp;
	}
	public String getRemoteIp() {
		return remoteIp != null ? remoteIp : "-";
	}
	public void setRemoteUser(String remoteUser) {
		this.remoteUser = remoteUser;
	}
	public String getRemoteUser() {
		return remoteUser != null ? remoteUser : "-";
	}
	public void setTimeStamp(String timeStamp) {
		this.timeStamp = timeStamp;
	}
	public String getTimeStamp() {
		return timeStamp;
	}
	public void setReferer(String referer) {
		this.referer = referer;
	}
	public String getReferer() {
		return referer != null ? referer : "-";
	}
	public void setUser_agent(String user_agent) {
		this.user_agent = user_agent;
	}
	public String getUser_agent() {
		return user_agent != null ? user_agent : "-";
	}
	public void setX_forwarded_for(String x_forwarded_for) {
		this.x_forwarded_for = x_forwarded_for;
	}
	public String getX_forwarded_for() {
		return x_forwarded_for != null ? x_forwarded_for : "-";
	}

	public void populate(ResultSet rs) throws SQLException {
		setId(rs.getInt("id"));
		setSessionId(rs.getString("sessionid"));
		setRemoteHost(rs.getString("remotehost"));
		setRemoteIp(rs.getString("remoteip"));
		setRemoteUser(rs.getString("remoteuser"));
		setTimeStamp(rs.getString("timestamp"));
		setReferer(rs.getString("referer"));
		setUser_agent(rs.getString("useragent"));
		setX_forwarded_for(rs.getString("xforwardedfor"));
	}
}
